commit:     de5090bdaf19bfc023daee50adf0cc357a4e047d
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Thu Sep  5 12:52:54 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Sep 15 13:52:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de5090bd

dev-lang/inform: add 6.42_p4

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/38451
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lang/inform/Manifest              |  1 +
 dev-lang/inform/inform-6.42_p4.ebuild | 52 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-lang/inform/Manifest b/dev-lang/inform/Manifest
index affbf7ed9449..a73b14c98f15 100644
--- a/dev-lang/inform/Manifest
+++ b/dev-lang/inform/Manifest
@@ -1,2 +1,3 @@
 DIST inform-6.33.1-b2.tar.gz 1822648 BLAKE2B 
e2ea59aa310b2f0122d1b834d98b0b827b945a8031a3e61c70bf502f7a746f43b81035cc22805ab351abf6f9df9ba898ea6ea83da863ef9aa313840ed974d725
 SHA512 
12cc10b7dae4118600a4d19d0aa44c3a7c93dfc8aa17bd56df7b9237f21df0ae99db6840eefaa5b11ff346369c6f6f2f128167b3479c8f540c29e3e36666c368
 DIST inform-6.35-r4.tar.gz 2307089 BLAKE2B 
9864324fe29fe920e226a239f92f327678ed796e5f5a27b3814f62b1158673b2c14d6771abd7af6f9743bb0949c4c6de75a6b591337b0e99196f8ab4d9f0c9f7
 SHA512 
c30c7067786845e0c77783f7a03a151ae1238978f648f6036fe9535a33662c76abc11db21bab00fe60c4742cd4da46e4674081711b9b3852520bfb14c1b068a6
+DIST inform-6.42-r4.tar.gz 2681740 BLAKE2B 
00bf6870b6fa22c61a316731947d112a24fe2e47f79177988799b412a0a47b29886e09ef25d566bfda7ee6f2dadc2bfe5b39327d5a4dd8c98f1ea38ce0db09d2
 SHA512 
728d1005519bc7aeb5ba67eda57bab4b1de7425126db8d97bdd25b78b1c747bb529e1fe96d5cb72dbd3141ebb33f86da134a3d7209806806e0fc8b9082b14428

diff --git a/dev-lang/inform/inform-6.42_p4.ebuild 
b/dev-lang/inform/inform-6.42_p4.ebuild
new file mode 100644
index 000000000000..e63c60b0f3ae
--- /dev/null
+++ b/dev-lang/inform/inform-6.42_p4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="${P/_p/-r}"
+DESCRIPTION="Design system for interactive fiction"
+HOMEPAGE="https://www.inform-fiction.org/";
+SRC_URI="https://ifarchive.org/if-archive/infocom/compilers/inform6/source/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Artistic-2 Inform"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="emacs tools"
+# non-interactive tests use ruby, seem broken, and return true even on failure
+RESTRICT="test"
+
+RDEPEND="
+       tools? (
+               dev-lang/perl
+               dev-perl/DateTime
+       )"
+PDEPEND="emacs? ( app-emacs/inform-mode )"
+
+src_compile() {
+       tc-export CC
+
+       emake PREFIX="${EPREFIX}"/usr OPTS="${CFLAGS} ${CPPFLAGS}"
+}
+
+src_install() {
+       local emakeargs=(
+               PREFIX="${ED}"/usr
+               REAL_PREFIX="${EPREFIX}"/usr
+               MANDIR="${ED}"/usr/share/man/man1
+               PUNYDOCS="${ED}"/usr/share/doc/${PF}/punyinform
+               PUNYTESTS="${T}" # don't install tests
+       )
+
+       emake -j1 "${emakeargs[@]}" install
+
+       dodoc AUTHORS NEWS README.md VERSION docs/README*
+
+       if ! use tools; then
+               rm "${ED}"/usr/bin/*blorb* || die
+       fi
+
+       find "${ED}"/usr/share/doc \( -name Makefile -o -name 'custom.*' \) 
-delete || die
+}

Reply via email to